Issue2147

classification
Title: socket warnings and exceptions
Type: behaviour Severity: normal
Components: Any Versions: Jython 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: mb_, zyasoft
Priority: Keywords:

Created on 2014-05-16.14:24:32 by mb_, last changed 2014-07-23.14:43:18 by zyasoft.

Files
File name Uploaded Description Edit Remove
conntest.py mb_, 2014-05-16.14:24:31
Messages
msg8420 (view) Author: Michael B├╝sch (mb_) Date: 2014-05-16.14:24:31
The attached test file "conntest.py" throws unexpected exceptions and warnings when being run on jython 2.7 hg:

Expected behavior (CPython 2.7.6):
> $ python2.7 ./conntest.py 
> ................
> Client: Connected to server
> Server: A client connected

Actual behavior (Jython 2.7 Mercurial):
> $ /path/to/jython/dist/bin/jython ./conntest.py 
> May 16, 2014 4:04:18 PM io.netty.channel.nio.NioEventLoop select
> WARNING: Selector.select() returned prematurely 512 times in a row; rebuilding selector.
> May 16, 2014 4:04:18 PM io.netty.channel.nio.NioEventLoop rebuildSelector
> INFO: Migrated 1 channel(s) to the new Selector.
> CLIENT: Should not happen: CancelledKeyException
> [Errno -1] Unmapped exception: java.nio.channels.CancelledKeyException
> ......................
> Client: Connected to server
> Server: A client connected
msg8466 (view) Author: Jim Baker (zyasoft) Date: 2014-05-21.20:41:41
Target beta 4
msg8874 (view) Author: Jim Baker (zyasoft) Date: 2014-07-14.20:20:47
Fixed as of http://hg.python.org/jython/rev/2c45f75a5406
History
Date User Action Args
2014-07-23 14:43:18zyasoftsetstatus: pending -> closed
2014-07-14 20:20:47zyasoftsetstatus: open -> pending
resolution: accepted -> fixed
messages: + msg8874
2014-05-21 20:41:41zyasoftsetmessages: + msg8466
2014-05-16 15:18:56zyasoftsetnosy: + zyasoft
resolution: accepted
2014-05-16 14:24:32mb_create